> For the complete documentation index, see [llms.txt](https://docs.namiml.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.namiml.com/sdk-reference/namicustomermanager/login.md).

# login

Provide a unique identifier that can be used to link different devices to the same customer in the Nami platform. This customer id will also be returned in any data sent from the Nami servers to your systems as well.

The ID sent to Nami must be a valid UUID or you may hash any other identifier with SHA256 and provide it in this call.

{% hint style="danger" %}
**Nami Will Not Accept PII as an Identifier**

Email addresses and usernames cannot be sent to Nami via this call. Nami only accepts data that is a valid numeric, UUID or a SHA256. Any other data will be rejected by the Nami server.
{% endhint %}

{% tabs %}
{% tab title="Swift" %}

```swift
NamiCustomerManager.login(withId: "123456")
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
NamiCustomerManager.login("123456")
```

{% endtab %}

{% tab title="Flutter" %}

```dart
NamiCustomerManager.login(withId: "123456");
```

{% endtab %}

{% tab title="React Native" %}

```jsx
const onLoginPress = useCallback(() => {
  NamiCustomerManager.login(
    '123456',
    (success, error) => {
      console.log('success', success);
      console.log('error', error);
    },
  );
}, []);
```

{% endtab %}

{% tab %}

```c
NamiCustomerManager.Login("123456");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicustomermanager/login.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
